Page MenuHomePhabricator

MFA: Port search related code to webpack
Closed, ResolvedPublic5 Story Points

Description

Code relating to the search code currently lives in mobile.search and mobile.search.api, we will move it to webpack.

Acceptance criteria

  • there is no mobile.search module
  • there is no mobile.search.api
  • tests are ported to node-qunit
  • search module is contained by mobile.startup module
  • Minerva is retained in a mergeable state throughout the migration. No need to worry about cached html but an alias module (empty module with mobile.startup dependency) will be needed until references in Minerva have been updated.
  • There has been no attempt to increase code coverage. Out of scope for task.
  • The search code lives in a features folder in search a la watchstar and references

Code:

Test

Sign off steps

[X ] Progress is updated.

  • Review which features to port next and create cards.

Event Timeline

Restricted Application added a subscriber: Gilles. · View Herald TranscriptNov 22 2018, 10:28 PM
Jdlrobson updated the task description. (Show Details)Nov 22 2018, 10:38 PM
Jdlrobson triaged this task as High priority.Nov 22 2018, 10:47 PM
Jdlrobson moved this task from To Triage to Upcoming on the Readers-Web-Backlog board.
Jdlrobson renamed this task from Port search related code to webpack to MFA: Port search related code to webpack.Nov 23 2018, 11:48 PM
Jdlrobson updated the task description. (Show Details)Nov 27 2018, 5:11 PM
Jdlrobson updated the task description. (Show Details)Nov 27 2018, 5:14 PM
ovasileva set the point value for this task to 5.Nov 27 2018, 5:16 PM

Change 478108 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/extensions/MobileFrontend@master] WIP: Hygiene: collapse mobile.search* into mobile.startup

https://gerrit.wikimedia.org/r/478108

Change 478109 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/skins/MinervaNeue@master] WIP: Hygiene: collapse mobile.search* into mobile.startup

https://gerrit.wikimedia.org/r/478109

Do we want to move extendSearchParams.js under src/mobile.startup.js/search as part of this task?

Change 479331 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/extensions/MobileFrontend@master] Hygiene: remove deprecated ResourceLoader modules

https://gerrit.wikimedia.org/r/479331

Change 479540 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/extensions/MobileFrontend@master] Hygiene: collapse mobile.search templates and LESS into mobile.startup

https://gerrit.wikimedia.org/r/479540

Change 479549 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/extensions/MobileFrontend@master] Hygiene: consolidate mobile.search into mobile.startup

https://gerrit.wikimedia.org/r/479549

Niedzielski removed Niedzielski as the assignee of this task.Dec 14 2018, 5:39 PM
Niedzielski claimed this task.
Niedzielski removed Niedzielski as the assignee of this task.

Change 478108 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Hygiene: collapse mobile.search.images into mobile.startup.images

https://gerrit.wikimedia.org/r/478108

Change 480249 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/skins/MinervaNeue@master] Hygiene: collapse mobile.search LESS into mobile.startup

https://gerrit.wikimedia.org/r/480249

Change 480249 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Hygiene: collapse mobile.search LESS into mobile.startup

https://gerrit.wikimedia.org/r/480249

Change 479540 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Hygiene: collapse mobile.search templates and LESS into mobile.startup

https://gerrit.wikimedia.org/r/479540

Change 479549 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Hygiene: consolidate mobile.search into mobile.startup

https://gerrit.wikimedia.org/r/479549

Change 478109 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Hygiene: collapse mobile.search* into mobile.startup

https://gerrit.wikimedia.org/r/478109

Change 479331 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Hygiene: remove deprecated ResourceLoader search modules

https://gerrit.wikimedia.org/r/479331

Jdlrobson updated the task description. (Show Details)
Jdlrobson closed this task as Resolved.Dec 18 2018, 10:31 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)

T210210 and T210209 are next!
This LGTM! Good job all!